/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;


/**
 * PC设备操作系统用户
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-28 14:15:26  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "PC设备操作系统用户")
public class CdPcUser extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_deviceId = "deviceId";
  public static final String KEY_account = "account";
  public static final String KEY_pwd = "pwd";
  public static final String KEY_accountType = "accountType";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * PC设备id<br>
   */
  @ApiModelProperty("PC设备id")
  @Size(max = 32, message="PC设备id-deviceId: 数据长度不能 > 32" )
  private String deviceId;
  /**
   * windows账号<br>
   */
  @ApiModelProperty("windows账号")
  @Size(max = 100, message="windows账号-account: 数据长度不能 > 100" )
  private String account;
  /**
   * windows密码<br>
   */
  @ApiModelProperty("windows密码")
  @Size(max = 100, message="windows密码-pwd: 数据长度不能 > 100" )
  private String pwd;
  /**
   * 账号类型 1、管理员 2、用户 3、游客<br>
   */
  @ApiModelProperty("账号类型 1、管理员 2、用户 3、游客")
  @Size(max = 1, message="账号类型 1、管理员 2、用户 3、游客-accountType: 数据长度不能 > 1" )
  private String accountType;

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * PC设备id<br>
   */
  public String getDeviceId()
  {
      return deviceId;
    }

  /**
   * PC设备id<br>
   *
   * @param deviceId PC设备id
   */
  public void setDeviceId(String deviceId)
  {
      this.deviceId = deviceId;
    }
  /**
   * windows账号<br>
   */
  public String getAccount()
  {
      return account;
    }

  /**
   * windows账号<br>
   *
   * @param account windows账号
   */
  public void setAccount(String account)
  {
      this.account = account;
    }
  /**
   * windows密码<br>
   */
  public String getPwd()
  {
      return pwd;
    }

  /**
   * windows密码<br>
   *
   * @param pwd windows密码
   */
  public void setPwd(String pwd)
  {
      this.pwd = pwd;
    }
  /**
   * 账号类型 1、管理员 2、用户 3、游客<br>
   */
  public String getAccountType()
  {
      return accountType;
    }

  /**
   * 账号类型 1、管理员 2、用户 3、游客<br>
   *
   * @param accountType 账号类型 1、管理员 2、用户 3、游客
   */
  public void setAccountType(String accountType)
  {
      this.accountType = accountType;
    }

  public CdPcUser()
  {
  }

}
